Project Chrono: chrono::ChCollisionShapeConvexHull Class Reference

Public Member Functions | Static Public Member Functions | List of all members
chrono::ChCollisionShapeConvexHull Class Reference
Chrono::Engine » Collision detection

## Description

Collision convex hull shape.

A convex hull is simply a point cloud that describe a convex polytope. Connectivity between the vertexes, as faces/edges in triangle meshes is not necessary. Points are passed as a list which is then copied into the model.

`#include <ChCollisionShapeConvexHull.h>`

Inheritance diagram for chrono::ChCollisionShapeConvexHull:
[legend]
Collaboration diagram for chrono::ChCollisionShapeConvexHull:
[legend]

## Public Member Functions
| ChCollisionShapeConvexHull (std::shared_ptr< ChContactMaterial > material, const std::vector< ChVector3d > &points)
const std::vector< ChVector3d > & | GetPoints ()
| Access the list of vertices of thje convex hull.
virtual void | ArchiveOut (ChArchiveOut &archive_out) override
| Method to allow serialization of transient data to archives.
virtual void | ArchiveIn (ChArchiveIn &archive_in) override
| Method to allow de-serialization of transient data from archives.
Public Member Functions inherited from chrono::ChCollisionShape
| ChCollisionShape (Type type=Type::UNKNOWN_SHAPE)
| ChCollisionShape (Type type, std::shared_ptr< ChContactMaterial > material)
Type | GetType () const
std::shared_ptr< ChContactMaterial > | GetMaterial () const
ChContactMethod | GetContactMethod () const

## Static Public Member Functions
static std::vector< std::shared_ptr< ChCollisionShapeConvexHull > > | Read (std::shared_ptr< ChContactMaterial > material, const std::string &filename)
| Create convex hull collsion shapes from the specified data file.

## Additional Inherited Members
Public Types inherited from chrono::ChCollisionShape
enum | Type { SPHERE , ELLIPSOID , BOX , CYLINDER , CYLSHELL , CONVEXHULL , TRIANGLEMESH , BARREL , POINT , TRIANGLE , MESHTRIANGLE , CAPSULE , CONE , ROUNDEDBOX , ROUNDEDCYL , TETRAHEDRON , PATH2D , SEGMENT2D , ARC2D , UNKNOWN_SHAPE }
| Supported collision shape types.
Protected Attributes inherited from chrono::ChCollisionShape
Type | m_type
| type of collision shape
std::shared_ptr< ChContactMaterial > | m_material
| surface contact material

## Constructor & Destructor Documentation

## ◆ ChCollisionShapeConvexHull()

chrono::ChCollisionShapeConvexHull::ChCollisionShapeConvexHull | ( | std::shared_ptr< ChContactMaterial > | material,
|  | const std::vector< ChVector3d > & | points )

Parameters

  material | surface contact material
  points | list of hull points

## Member Function Documentation

## ◆ ArchiveIn()

void chrono::ChCollisionShapeConvexHull::ArchiveIn | ( | ChArchiveIn & | archive_in | ) |
| overridevirtual

Method to allow de-serialization of transient data from archives.

Reimplemented from chrono::ChCollisionShape.

## ◆ ArchiveOut()

void chrono::ChCollisionShapeConvexHull::ArchiveOut | ( | ChArchiveOut & | archive_out | ) |
| overridevirtual

Method to allow serialization of transient data to archives.

Reimplemented from chrono::ChCollisionShape.

## ◆ Read()

std::vector< std::shared_ptr< ChCollisionShapeConvexHull > > chrono::ChCollisionShapeConvexHull::Read | ( | std::shared_ptr< ChContactMaterial > | material,
|  | const std::string & | filename )
| static

Create convex hull collsion shapes from the specified data file.

All shapes are assigned the same contact material.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionShapeConvexHull.h
- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionShapeConvexHull.cpp